from gymnasium import register
from .custom_env_openended import BrowserEnv

from browsergym.core.task import OpenEndedTask

register(
    id='browsergym/OpenEndedEnv-v0',
    entry_point=lambda *env_args, **env_kwargs: BrowserEnv(OpenEndedTask, *env_args, **env_kwargs),
    nondeterministic=True,
    kwargs={"task_kwargs": {"task_id": 'browsergym/OpenEndedEnv-v0'}},
)
